Search the marketplace
GET
/v1/resources
const url = 'https://api.gampeon.com/v1/resources?kind=script&sort=new&limit=24&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.gampeon.com/v1/resources?kind=script&sort=new&limit=24&offset=0'Only items with at least one version that is not blocked. facets.kinds counts per kind without the kind filter; facets.tags lists the most used tags within the kind.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
Search in name, title and description
kind
string
Filter by kind
tag
string
Filter by tag
owner
string
Filter by owner handle
sort
string
Default: recently updated
limit
integer
Page size, 1 to 100 (default 24)
offset
integer
Number of entries to skip
Responses
Section titled “Responses”Results
Media typeapplication/json
object
resources
required
Array<object>
object
name
required
Unique resource name
string
title
required
string
description
required
string
kind
required
string
tags
required
Array<string>
owner
required
image
required
downloads
required
Downloads of all versions
integer
price
required
Price in GAMPEONS, 0 = free
integer
createdAt
required
Unix time in milliseconds
integer format: int64
updatedAt
required
Unix time in milliseconds
integer format: int64
total
required
integer
kinds
required
Array<string>
facets
required
object
kinds
required
object
key
additional properties
integer
tags
required
Array<object>
object
tag
required
string
n
required
integer
Example
{ "resources": [ { "kind": "script" } ]}